- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinIntArrayWithLength Class Reference

int * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinIntArrayWithLength:

[legend]
Collaboration diagram for CoinIntArrayWithLength:

[legend]
List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
int * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
int * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinIntArrayWithLength ()
| Default constructor - NULL.
| CoinIntArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinIntArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinIntArrayWithLength (const CoinIntArrayWithLength &rhs)
| Copy constructor.
| CoinIntArrayWithLength (const CoinIntArrayWithLength *rhs)
| Copy constructor.2.
CoinIntArrayWithLength & | operator= (const CoinIntArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

int * version

Definition at line 606 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinIntArrayWithLength::CoinIntArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 636 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinIntArrayWithLength::CoinIntArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 639 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinIntArrayWithLength::CoinIntArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 645 of file CoinIndexedVector.hpp.

CoinIntArrayWithLength::CoinIntArrayWithLength | ( | const CoinIntArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 648 of file CoinIndexedVector.hpp.

CoinIntArrayWithLength::CoinIntArrayWithLength | ( | const CoinIntArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 651 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinIntArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 612 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

int* CoinIntArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 615 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

Referenced by CoinFactorization::addLink(), CoinFactorization::deleteLink(), CoinFactorization::indexColumnL(), CoinFactorization::indexRowL(), CoinFactorization::indexRowU(), CoinFactorization::numberForrestTomlin(), CoinFactorization::numberInColumn(), CoinFactorization::numberInRow(), CoinFactorization::permute(), CoinFactorization::permuteBack(), CoinFactorization::pivot(), CoinFactorization::pivotColumn(), and CoinFactorization::pivotColumnBack().

void CoinIntArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 622 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

int* CoinIntArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 629 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::conditionalNew().

CoinIntArrayWithLength& CoinIntArrayWithLength::operator= | ( | const CoinIntArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 654 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/CoinUtils/src/CoinIndexedVector.hpp